<?php

namespace goodboyalex\php_components_pack\enums;

use goodboyalex\php_components_pack\traits\EnumExtensionsTrait;

/**
 * Перечисление типов сообщений.
 *
 * @author Александр Бабаев
 * @package php_components_pack
 * @version 1.0
 * @since 1.0
 */
enum MessageType: int
{
    // Подключаю расширение для Enum
    use EnumExtensionsTrait;

    /**
     * Успех
     */
    case Success = 0;

    /**
     * Информация
     */
    case Info = 1;

    /**
     * Предупреждение
     */
    case Warning = 2;

    /**
     * Ошибка
     */
    case Error = 3;
}